# Generated from MPIWG-Jekyll-Plugin-0.1.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name MPIWG-Jekyll-Plugin

Name: rubygem-%{gem_name}
Version: 0.1.12
Release: 1%{?dist}
Summary: Custom functionality for MPIWG Jekyll Microsites
License: MIT
URL: http://www.mpiwg-berlin.mpg.de
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.52
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
Custom functionality for MPIWG Jekyll Microsites.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/404.html
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Makefile
%{gem_instdir}/_config.yml
%{gem_instdir}/_plugins
%{gem_instdir}/_posts
%{gem_instdir}/about.md
%{gem_instdir}/index.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/MPIWG-Jekyll-Plugin.gemspec
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.12-1
- Initial package
